Skip to main content
`Ctrl`+`K`

# DMPlexSetCellType

Set the polytope type of a given cell

## Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexSetCellType(DM dm, PetscInt cell, DMPolytopeType celltype)

Not Collective

## Input Parameters

- dm - The `DMPLEX` object

- cell - The cell

- celltype - The polytope type of the cell

## Note

By default, cell types will be automatically computed using `DMPlexComputeCellTypes()` before this function is executed. This function will override the computed type. However, if automatic classification will not succeed and a user wants to manually specify all types, the classification must be disabled by calling DMCreateLabel(dm, “celltype”) before getting or setting any cell types.

## See Also

DMPlex: Unstructured Grids, `DM`, `DMPLEX`, `DMPlexGetCellTypeLabel()`, `DMPlexGetDepthLabel()`, `DMPlexGetDepth()`, `DMPlexComputeCellTypes()`, `DMCreateLabel()`

## Level

advanced

## Location

src/dm/impls/plex/plex.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages